Page MenuHomePhabricator

Argument 1 passed to FlowHooks::onSpecialCheckUserGetLinksFromRow() must be an instance of CheckUser, SpecialCheckUser given
Closed, ResolvedPublic

Description

2017-12-13 23:03:27 [WjGxvwpAEKkAABcduPwAAAAL] mw1214 commonswiki 1.31.0-wmf.12 error ERROR: [WjGxvwpAEKkAABcduPwAAAAL] /wiki/Special:CheckUser   ErrorException from line 177 of /srv/mediawiki/php-1.31.0-wmf.12/includes/Hooks.php: PHP Error: Argument 1 passed to FlowHooks::onSpecialCheckUserGetLinksFromRow() must be an instance of CheckUser, SpecialCheckUser given {"exception_id":"WjGxvwpAEKkAABcduPwAAAAL","exception_url":"/wiki/Special:CheckUser","caught_by":"mwe_handler"}
[Exception ErrorException] (/srv/mediawiki/php-1.31.0-wmf.12/includes/Hooks.php:177) PHP Error: Argument 1 passed to FlowHooks::onSpecialCheckUserGetLinksFromRow() must be an instance of CheckUser, SpecialCheckUser given
  #1 /srv/mediawiki/php-1.31.0-wmf.12/includes/Hooks.php(177): FlowHooks::onSpecialCheckUserGetLinksFromRow(SpecialCheckUser, stdClass, array)
  #3 /srv/mediawiki/php-1.31.0-wmf.12/extensions/CheckUser/specials/SpecialCheckUser.php(1618): Hooks::run(string, array)
  #4 /srv/mediawiki/php-1.31.0-wmf.12/extensions/CheckUser/specials/SpecialCheckUser.php(1445): SpecialCheckUser->getLinksFromRow(stdClass)
  #5 /srv/mediawiki/php-1.31.0-wmf.12/extensions/CheckUser/specials/SpecialCheckUser.php(769): SpecialCheckUser->CUChangesLine(stdClass, string)
  #6 /srv/mediawiki/php-1.31.0-wmf.12/extensions/CheckUser/specials/SpecialCheckUser.php(95): SpecialCheckUser->doIPEditsRequest(string, boolean, string, integer)
  #7 /srv/mediawiki/php-1.31.0-wmf.12/includes/specialpage/SpecialPage.php(522): SpecialCheckUser->execute(NULL)

Event Timeline

Reedy created this task.Dec 13 2017, 11:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy triaged this task as High priority.Dec 13 2017, 11:05 PM
Reedy added a subscriber: jrbs.

Change 398177 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/CheckUser@master] Revert "Rename classes to match file names"

https://gerrit.wikimedia.org/r/398177

Change 398178 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Flow@master] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/398178

Change 398179 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.12] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/398179

Change 398179 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.12] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/398179

Change 398231 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Flow@master] Remove unused access to (Special)CheckUser object

https://gerrit.wikimedia.org/r/398231

matmarex added a comment.EditedDec 14 2017, 8:42 PM

Note that a fix has been merged only in 1.31.0-wmf.12, but not in master.

Looks like we have three competing patches right now:

Someone must review those and merge one of them soon, otherwise this issue will reappear in wmf.13 wmf.15. I'm not very familiar with Flow or CheckUser myself.

Change 398177 abandoned by Reedy:
Revert "Rename classes to match file names"

https://gerrit.wikimedia.org/r/398177

Reedy added a comment.Dec 14 2017, 8:50 PM

There's no train next week... So it's not urgent

It is enough to add a class_alias for the renamed class?

Reedy added a comment.Dec 15 2017, 7:52 PM

It is enough to add a class_alias for the renamed class?

Maybe, but then we're just leaving around techdebt we don't really need to.

Thiemos patch clears up the usage, which seems better in the long run

Legoktm raised the priority of this task from High to Unbreak Now!.Jan 4 2018, 2:39 AM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 4 2018, 2:39 AM

Change 401832 had a related patch set uploaded (by Legoktm; owner: Reedy):
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.15] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/401832

Change 398178 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/398178

Change 401832 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.31.0-wmf.15] Fix CheckUser type check thingy

https://gerrit.wikimedia.org/r/401832

Mentioned in SAL (#wikimedia-operations) [2018-01-04T02:49:26Z] <legoktm@tin> Synchronized php-1.31.0-wmf.15/extensions/Flow/Hooks.php: Fix CheckUser type check thingy - T182834 (duration: 01m 01s)

Change 398231 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove unused access to (Special)CheckUser object

https://gerrit.wikimedia.org/r/398231

mmodell closed this task as Resolved.Jan 4 2018, 9:54 PM
mmodell claimed this task.

Looks like it is.

mmodell reassigned this task from mmodell to Reedy.Jan 4 2018, 9:54 PM